package io.github.thehrz.specialskills.skill

import io.github.thehrz.specialskills.handler.SkillHandler
import me.libraryaddict.disguise.DisguiseAPI
import me.libraryaddict.disguise.disguisetypes.DisguiseType
import me.libraryaddict.disguise.disguisetypes.MobDisguise
import org.bukkit.entity.Player
import org.bukkit.event.player.PlayerSwapHandItemsEvent
import taboolib.common.platform.event.SubscribeEvent
import taboolib.common.platform.function.submit
import taboolib.platform.util.asLangText
import taboolib.platform.util.sendActionBar

object OctopusSkill {


    fun execute(player: Player) {
        DisguiseAPI.disguiseEntity(player, MobDisguise(DisguiseType.SQUID))
        DisguiseAPI.setActionBarShown(player, false)
        player.sendActionBar(
            player.asLangText("active-skill", "章鱼佬")
        )

        submit(async = false, delay = 200) {
            player.sendActionBar(
                player.asLangText("finish-skill", "章鱼佬")
            )
            DisguiseAPI.undisguiseToAll(player)
        }
    }
}